All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PODBC::Field Class Reference

`#include <podbc.h>`

Inheritance diagram for PODBC::Field:

## Classes

class | Bind
| SQL compliant Bound DataTypes. More...

## Public Member Functions

PBoolean | Post ()
| Post the Changes back to the Database. More...
PString | operator= (const PString &str)
| Returns a String representation of the field. More...
PString | AsString ()
| Display the Field Data as String. More...
void | SetValue (PString value)
| Set the Field Data. More...
void | SetDefaultValues ()
| Set the Value. More...
PBoolean | DataFragment (PString &Buffer, PINDEX &fragment, SQLINTEGER &size)
| DataFragment Data is broken into fragment to be passed to the Database. More...
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Public Attributes

Bind | Data
| Settings. More...
PwType | Type
| Data Field to ODBC Bind to. More...
FieldTypes | ODBCType
| pwlib Type for conversion More...
PString | Name
| ODBC Type (For saving/Conversion) More...
PINDEX | col
| Column Name. More...
PBoolean | isReadOnly
| Column Number (For Saving/Conversion) More...
PBoolean | isNullable
| Is Field Readonly. More...
PBoolean | isAutoInc
| Allows Nulls. More...
int | Decimals
| Field AutoIncrements. More...
PBoolean | LongData
| Number of decimal places to Round. More...
Row * | row
| LongData Length is Required. More...

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Member Function Documentation

PString PODBC::Field::AsString | ( |  | ) |

Display the Field Data as String.

PBoolean PODBC::Field::DataFragment | ( | PString & | Buffer,
|  | PINDEX & | fragment,
|  | SQLINTEGER & | size
| ) |  |

DataFragment Data is broken into fragment to be passed to the Database.

PString PODBC::Field::operator= | ( | const PString & | str | ) |

Returns a String representation of the field.

PBoolean PODBC::Field::Post | ( |  | ) |

Post the Changes back to the Database.

void PODBC::Field::SetDefaultValues | ( |  | ) |

Set the Value.

Initialise/Set the Default values for Field of New Record

void PODBC::Field::SetValue | ( | PString | value | ) |

Set the Field Data.

Note a Post() must be called to post the changes back to the database.

## Member Data Documentation

PINDEX PODBC::Field::col

Column Name.

Bind PODBC::Field::Data

Settings.

Data

int PODBC::Field::Decimals

Field AutoIncrements.

PBoolean PODBC::Field::isAutoInc

Allows Nulls.

PBoolean PODBC::Field::isNullable

Is Field Readonly.

PBoolean PODBC::Field::isReadOnly

Column Number (For Saving/Conversion)

Column Attributes

PBoolean PODBC::Field::LongData

Number of decimal places to Round.

PString PODBC::Field::Name

ODBC Type (For saving/Conversion)

Column

FieldTypes PODBC::Field::ODBCType

pwlib Type for conversion

Row* PODBC::Field::row

LongData Length is Required.

RecordHolder Reference

PwType PODBC::Field::Type

Data Field to ODBC Bind to.

The documentation for this class was generated from the following file:

- podbc.h